<?php
$tdataRO___Calls_Report=array();
	$tdataRO___Calls_Report[".NumberOfChars"]=80; 
	$tdataRO___Calls_Report[".ShortName"]="RO___Calls_Report";
	$tdataRO___Calls_Report[".OwnerID"]="Region";
	$tdataRO___Calls_Report[".OriginalTable"]="calls";


	
//	field labels
$fieldLabelsRO___Calls_Report = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsRO___Calls_Report["English"]=array();
	$fieldToolTipsRO___Calls_Report["English"]=array();
	$fieldLabelsRO___Calls_Report["English"]["Call_Details"] = "Call Details";
	$fieldToolTipsRO___Calls_Report["English"]["Call Details"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Executive_Name"] = "Executive Name";
	$fieldToolTipsRO___Calls_Report["English"]["Executive Name"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Customer_Name"] = "Customer Name";
	$fieldToolTipsRO___Calls_Report["English"]["Customer Name"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Customer_Status"] = "Customer Status";
	$fieldToolTipsRO___Calls_Report["English"]["Customer Status"] = "";
	$fieldLabelsRO___Calls_Report["English"]["No_of_Calls"] = "No of Calls";
	$fieldToolTipsRO___Calls_Report["English"]["No of Calls"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Date"] = "Date";
	$fieldToolTipsRO___Calls_Report["English"]["Date"] = "";
	$fieldLabelsRO___Calls_Report["English"]["Region"] = "Region";
	$fieldToolTipsRO___Calls_Report["English"]["Region"] = "";
	if (count($fieldToolTipsRO___Calls_Report["English"])){
		$tdataRO___Calls_Report[".isUseToolTips"]=true;
	}
}


	
	$tdataRO___Calls_Report[".NCSearch"]=true;

	

$tdataRO___Calls_Report[".shortTableName"] = "RO___Calls_Report";
$tdataRO___Calls_Report[".nSecOptions"] = 1;
$tdataRO___Calls_Report[".recsPerRowList"] = 1;	
$tdataRO___Calls_Report[".tableGroupBy"] = "1";
$tdataRO___Calls_Report[".mainTableOwnerID"] = "Region";
$tdataRO___Calls_Report[".moveNext"] = 1;




$tdataRO___Calls_Report[".showAddInPopup"] = false;

$tdataRO___Calls_Report[".showEditInPopup"] = false;

$tdataRO___Calls_Report[".showViewInPopup"] = false;


$tdataRO___Calls_Report[".fieldsForRegister"] = array();

$tdataRO___Calls_Report[".listAjax"] = false;

	$tdataRO___Calls_Report[".audit"] = false;

	$tdataRO___Calls_Report[".locking"] = false;
	
$tdataRO___Calls_Report[".listIcons"] = true;
$tdataRO___Calls_Report[".edit"] = true;
$tdataRO___Calls_Report[".inlineEdit"] = true;
$tdataRO___Calls_Report[".view"] = true;

$tdataRO___Calls_Report[".exportTo"] = true;

$tdataRO___Calls_Report[".printFriendly"] = true;

$tdataRO___Calls_Report[".delete"] = true;

$tdataRO___Calls_Report[".showSimpleSearchOptions"] = false;

$tdataRO___Calls_Report[".showSearchPanel"] = true;


$tdataRO___Calls_Report[".isUseAjaxSuggest"] = true;



// button handlers file names

$tdataRO___Calls_Report[".addPageEvents"] = false;


// use datepicker for search panel
$tdataRO___Calls_Report[".isUseCalendarForSearch"] = true;

// use timepicker for search panel
$tdataRO___Calls_Report[".isUseTimeForSearch"] = false;

$tdataRO___Calls_Report[".isUseiBox"] = false;



$tdataRO___Calls_Report[".isUseInlineJs"] = $tdataRO___Calls_Report[".isUseInlineAdd"] || $tdataRO___Calls_Report[".isUseInlineEdit"];

$tdataRO___Calls_Report[".allSearchFields"] = array();

$tdataRO___Calls_Report[".globSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Report[".allSearchFields"]))
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Date";	
}
$tdataRO___Calls_Report[".globSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataRO___Calls_Report[".allSearchFields"]))
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Executive Name";	
}
$tdataRO___Calls_Report[".globSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataRO___Calls_Report[".allSearchFields"]))
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Region";	
}


$tdataRO___Calls_Report[".googleLikeFields"][] = "Date";
$tdataRO___Calls_Report[".googleLikeFields"][] = "Executive Name";
$tdataRO___Calls_Report[".googleLikeFields"][] = "Region";

$tdataRO___Calls_Report[".panelSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Report[".allSearchFields"])) 
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Date";	
}


$tdataRO___Calls_Report[".advSearchFields"][] = "Date";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Date", $tdataRO___Calls_Report[".allSearchFields"])) 
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Date";	
}
$tdataRO___Calls_Report[".advSearchFields"][] = "Executive Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Executive Name", $tdataRO___Calls_Report[".allSearchFields"])) 
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Executive Name";	
}
$tdataRO___Calls_Report[".advSearchFields"][] = "Region";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region", $tdataRO___Calls_Report[".allSearchFields"])) 
{
	$tdataRO___Calls_Report[".allSearchFields"][] = "Region";	
}

$tdataRO___Calls_Report[".isTableType"] = "report";

$tdataRO___Calls_Report[".reportGroupFields"] = true;

	

$tdataRO___Calls_Report[".isDisplayLoading"] = true;

$tdataRO___Calls_Report[".isResizeColumns"] = false;


$tdataRO___Calls_Report[".noRecordsFirstPage"] = true;




$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataRO___Calls_Report[".strOrderBy"] = $gstrOrderBy;
	
$tdataRO___Calls_Report[".orderindexes"] = array();

$tdataRO___Calls_Report[".sqlHead"] = "SELECT COUNT(calls.idCalls) AS `No of Calls`,  Date(Date) AS `Date`,  calls.`Call Details`,  calls.`Executive Name`,  calls.`Customer Name`,  customer_list.`Customer Status`,  customer_list.Region";
$tdataRO___Calls_Report[".sqlFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$tdataRO___Calls_Report[".sqlWhereExpr"] = "";
$tdataRO___Calls_Report[".sqlTail"] = "GROUP BY Date(Date), calls.`Call Details`, calls.`Executive Name`, calls.`Customer Name`";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataRO___Calls_Report[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataRO___Calls_Report[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tdataRO___Calls_Report[".Keys"] = $tableKeys;

//	No of Calls
	$fdata = array();
	$fdata["strName"] = "No of Calls";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 3;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "No_of_Calls";
	
		$fdata["FullName"]= "COUNT(calls.idCalls)";
	
		
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["No of Calls"]=$fdata;
//	Date
	$fdata = array();
	$fdata["strName"] = "Date";
	$fdata["ownerTable"] = "";
		
		
		
	$fdata["FieldType"]= 7;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Date";
	$fdata["ViewFormat"]= "Short Date";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Date";
	
		$fdata["FullName"]= "Date(Date)";
	
		
		
		
		
		
				$fdata["Index"]= 2;
		$fdata["DateEditType"] = 13; 
	$fdata["InitialYearFactor"] = 100; 
	$fdata["LastYearFactor"] = 10; 
			
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Date"]=$fdata;
//	Call Details
	$fdata = array();
	$fdata["strName"] = "Call Details";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text area";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Call_Details";
	
		$fdata["FullName"]= "calls.`Call Details`";
	
		
		
		
		
		
				$fdata["Index"]= 3;
			$fdata["EditParams"] = "";
			$fdata["EditParams"].= " rows=100";
		$fdata["nRows"] = 100;
			$fdata["EditParams"].= " cols=200";
		$fdata["nCols"] = 200;
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Call Details"]=$fdata;
//	Executive Name
	$fdata = array();
	$fdata["strName"] = "Executive Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Executive_Name";
	
		$fdata["FullName"]= "calls.`Executive Name`";
	
		
		
		
		
		
				$fdata["Index"]= 4;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=45";
		
		$fdata["bListPage"]=true; 
	
		
		
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Executive Name"]=$fdata;
//	Customer Name
	$fdata = array();
	$fdata["strName"] = "Customer Name";
	$fdata["ownerTable"] = "calls";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Name";
	
		$fdata["FullName"]= "calls.`Customer Name`";
	
		
		
		
		
		
				$fdata["Index"]= 5;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=100";
		
		$fdata["bListPage"]=true; 
	
		$fdata["bAddPage"]=true; 
	
		$fdata["bInlineAdd"]=true; 
	
		$fdata["bEditPage"]=true; 
	
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Customer Name"]=$fdata;
//	Customer Status
	$fdata = array();
	$fdata["strName"] = "Customer Status";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Customer_Status";
	
		$fdata["FullName"]= "customer_list.`Customer Status`";
	
		
		
		
		
		
				$fdata["Index"]= 6;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
		
		
		
		
			$tdataRO___Calls_Report["Customer Status"]=$fdata;
//	Region
	$fdata = array();
	$fdata["strName"] = "Region";
	$fdata["ownerTable"] = "customer_list";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region";
	
		$fdata["FullName"]= "customer_list.Region";
	
		
		
		
		
		
				$fdata["Index"]= 7;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		$fdata["bInlineEdit"]=true; 
	
		$fdata["bViewPage"]=true; 
	
		$fdata["bAdvancedSearch"]=true; 
	
		$fdata["bPrinterPage"]=true; 
	
		$fdata["bExportPage"]=true; 
	
	//Begin validation
	$fdata["validateAs"] = array();
		
		//End validation
	
				
		
		
		
		
		
			$tdataRO___Calls_Report["Region"]=$fdata;

	
$tables_data["RO - Calls Report"]=&$tdataRO___Calls_Report;
$field_labels["RO___Calls_Report"] = &$fieldLabelsRO___Calls_Report;
$fieldToolTips["RO - Calls Report"] = &$fieldToolTipsRO___Calls_Report;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["RO - Calls Report"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["RO - Calls Report"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto91=array();
$proto91["m_strHead"] = "SELECT";
$proto91["m_strFieldList"] = "COUNT(calls.idCalls) AS `No of Calls`,  Date(Date) AS `Date`,  calls.`Call Details`,  calls.`Executive Name`,  calls.`Customer Name`,  customer_list.`Customer Status`,  customer_list.Region";
$proto91["m_strFrom"] = "FROM calls  INNER JOIN customer_list ON calls.`Customer Name` = customer_list.`Customer Name`";
$proto91["m_strWhere"] = "";
$proto91["m_strOrderBy"] = "";
$proto91["m_strTail"] = "GROUP BY Date(Date), calls.`Call Details`, calls.`Executive Name`, calls.`Customer Name`";
$proto92=array();
$proto92["m_sql"] = "";
$proto92["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto92["m_column"]=$obj;
$proto92["m_contained"] = array();
$proto92["m_strCase"] = "";
$proto92["m_havingmode"] = "0";
$proto92["m_inBrackets"] = "0";
$proto92["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto92);

$proto91["m_where"] = $obj;
$proto94=array();
$proto94["m_sql"] = "";
$proto94["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto94["m_column"]=$obj;
$proto94["m_contained"] = array();
$proto94["m_strCase"] = "";
$proto94["m_havingmode"] = "0";
$proto94["m_inBrackets"] = "0";
$proto94["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto94);

$proto91["m_having"] = $obj;
$proto91["m_fieldlist"] = array();
						$proto96=array();
			$proto97=array();
$proto97["m_functiontype"] = "SQLF_COUNT";
$proto97["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "idCalls",
	"m_strTable" => "calls"
));

$proto97["m_arguments"][]=$obj;
$proto97["m_strFunctionName"] = "COUNT";
$obj = new SQLFunctionCall($proto97);

$proto96["m_expr"]=$obj;
$proto96["m_alias"] = "No of Calls";
$obj = new SQLFieldListItem($proto96);

$proto91["m_fieldlist"][]=$obj;
						$proto99=array();
			$proto100=array();
$proto100["m_functiontype"] = "SQLF_CUSTOM";
$proto100["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto100["m_arguments"][]=$obj;
$proto100["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto100);

$proto99["m_expr"]=$obj;
$proto99["m_alias"] = "Date";
$obj = new SQLFieldListItem($proto99);

$proto91["m_fieldlist"][]=$obj;
						$proto102=array();
			$obj = new SQLField(array(
	"m_strName" => "Call Details",
	"m_strTable" => "calls"
));

$proto102["m_expr"]=$obj;
$proto102["m_alias"] = "";
$obj = new SQLFieldListItem($proto102);

$proto91["m_fieldlist"][]=$obj;
						$proto104=array();
			$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto104["m_expr"]=$obj;
$proto104["m_alias"] = "";
$obj = new SQLFieldListItem($proto104);

$proto91["m_fieldlist"][]=$obj;
						$proto106=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto106["m_expr"]=$obj;
$proto106["m_alias"] = "";
$obj = new SQLFieldListItem($proto106);

$proto91["m_fieldlist"][]=$obj;
						$proto108=array();
			$obj = new SQLField(array(
	"m_strName" => "Customer Status",
	"m_strTable" => "customer_list"
));

$proto108["m_expr"]=$obj;
$proto108["m_alias"] = "";
$obj = new SQLFieldListItem($proto108);

$proto91["m_fieldlist"][]=$obj;
						$proto110=array();
			$obj = new SQLField(array(
	"m_strName" => "Region",
	"m_strTable" => "customer_list"
));

$proto110["m_expr"]=$obj;
$proto110["m_alias"] = "";
$obj = new SQLFieldListItem($proto110);

$proto91["m_fieldlist"][]=$obj;
$proto91["m_fromlist"] = array();
												$proto112=array();
$proto112["m_link"] = "SQLL_MAIN";
			$proto113=array();
$proto113["m_strName"] = "calls";
$proto113["m_columns"] = array();
$proto113["m_columns"][] = "idCalls";
$proto113["m_columns"][] = "Date";
$proto113["m_columns"][] = "Call Details";
$proto113["m_columns"][] = "Executive Name";
$proto113["m_columns"][] = "Customer Name";
$obj = new SQLTable($proto113);

$proto112["m_table"] = $obj;
$proto112["m_alias"] = "";
$proto114=array();
$proto114["m_sql"] = "";
$proto114["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto114["m_column"]=$obj;
$proto114["m_contained"] = array();
$proto114["m_strCase"] = "";
$proto114["m_havingmode"] = "0";
$proto114["m_inBrackets"] = "0";
$proto114["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto114);

$proto112["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto112);

$proto91["m_fromlist"][]=$obj;
												$proto116=array();
$proto116["m_link"] = "SQLL_INNERJOIN";
			$proto117=array();
$proto117["m_strName"] = "customer_list";
$proto117["m_columns"] = array();
$proto117["m_columns"][] = "idCL";
$proto117["m_columns"][] = "Created on";
$proto117["m_columns"][] = "Region";
$proto117["m_columns"][] = "Customer Name";
$proto117["m_columns"][] = "Address";
$proto117["m_columns"][] = "City";
$proto117["m_columns"][] = "State";
$proto117["m_columns"][] = "Country";
$proto117["m_columns"][] = "Postal Code";
$proto117["m_columns"][] = "Web address";
$proto117["m_columns"][] = "Area";
$proto117["m_columns"][] = "Customer_Category";
$proto117["m_columns"][] = "Breif About the Company";
$proto117["m_columns"][] = "Existing Setup";
$proto117["m_columns"][] = "Interaction Summary";
$proto117["m_columns"][] = "Commercial Summary";
$proto117["m_columns"][] = "Customer Status";
$proto117["m_columns"][] = "Assigned Executive";
$proto117["m_columns"][] = "Assigned Date";
$proto117["m_columns"][] = "Last Updated on";
$obj = new SQLTable($proto117);

$proto116["m_table"] = $obj;
$proto116["m_alias"] = "";
$proto118=array();
$proto118["m_sql"] = "calls.`Customer Name` = customer_list.`Customer Name`";
$proto118["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto118["m_column"]=$obj;
$proto118["m_contained"] = array();
$proto118["m_strCase"] = "= customer_list.`Customer Name`";
$proto118["m_havingmode"] = "0";
$proto118["m_inBrackets"] = "0";
$proto118["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto118);

$proto116["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto116);

$proto91["m_fromlist"][]=$obj;
$proto91["m_groupby"] = array();
												$proto120=array();
						$proto121=array();
$proto121["m_functiontype"] = "SQLF_CUSTOM";
$proto121["m_arguments"] = array();
						$obj = new SQLNonParsed(array(
	"m_sql" => "Date"
));

$proto121["m_arguments"][]=$obj;
$proto121["m_strFunctionName"] = "Date";
$obj = new SQLFunctionCall($proto121);

$proto120["m_column"]=$obj;
$obj = new SQLGroupByItem($proto120);

$proto91["m_groupby"][]=$obj;
												$proto123=array();
						$obj = new SQLField(array(
	"m_strName" => "Call Details",
	"m_strTable" => "calls"
));

$proto123["m_column"]=$obj;
$obj = new SQLGroupByItem($proto123);

$proto91["m_groupby"][]=$obj;
												$proto125=array();
						$obj = new SQLField(array(
	"m_strName" => "Executive Name",
	"m_strTable" => "calls"
));

$proto125["m_column"]=$obj;
$obj = new SQLGroupByItem($proto125);

$proto91["m_groupby"][]=$obj;
												$proto127=array();
						$obj = new SQLField(array(
	"m_strName" => "Customer Name",
	"m_strTable" => "calls"
));

$proto127["m_column"]=$obj;
$obj = new SQLGroupByItem($proto127);

$proto91["m_groupby"][]=$obj;
$proto91["m_orderby"] = array();
$obj = new SQLQuery($proto91);

$queryData_RO___Calls_Report = $obj;
$tdataRO___Calls_Report[".sqlquery"] = $queryData_RO___Calls_Report;

$tableEvents["RO - Calls Report"] = new eventsBase;

?>
